BizKitHub
DocsAPI ReferenceComplaint/bff/complaint/add-item
postComplaintAdmin BFF

/bff/complaint/add-item

Adds a new item to an existing complaint. Optionally links to an original order item.

ComplaintpostBffComplaintAdd-item

Parameters

JSON body

Request body

application/json
complaintIdstringRequired

Complaint external ID.

Examplea1b2c3d4
orderItemIdnumberOptional

Link to original order item being complained about.

Example501
labelstringRequired

Item description as displayed in the complaint.

ExampleWireless headphones
quantitynumberOptional

Number of items. Defaults to 1.

Example1
pricenumberOptional

Claimed unit price of the item.

Example2490
currencyIdnumberOptional

Currency ID for the item price.

Example1

Response schema

1 status code documented

200Success
successbooleanRequired

Indicates whether the operation completed successfully.

Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/complaint/add-item

post
curl -X POST "https://api.bizkithub.com/bff/complaint/add-item" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "complaintId": "a1b2c3d4",
  "orderItemId": 501,
  "label": "Wireless headphones",
  "quantity": 1,
  "price": 2490,
  "currencyId": 1
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key